Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.ui
Interface P3SWRLTabPluginCreator

    public interface P3SWRLTabPluginCreator

This interface must thus be implemented by a SWRLTab plugin to create a Java Component that represents the plugin's GUI. Thus GUI will be activated in the SWRLTab the provide a means of interacting with the plugin.

Each plugin should register itself with the bridge using the registerPlugin method of the P3SWRLTabPluginManager class. In addition to a plugin display name, a tool tip string, and a set of icons, this method is expecting an instance of a class that implements this interface. The plugin manager uses this implementation to get the GUI for the plugin, which will be displayed in the SWRLTab when the plugin is activated.

The createSWRLPluginGUI method is called once when the plugin is registered and is expecting a Java Swing component that is a subclass of a Java AWT Container class. The getSWRLPluginGUI may be called repeatedly after registration and should return the Container instance created on initialization.

See here for a discussion on using this interface.

Method Summary
`Container` | `createSWRLPluginGUI(OWLModel owlModel, String pluginName, String ruleEngineName, Icon ruleEngineIcon, Icon reasonerIcon)`
`Container` | `getSWRLPluginGUI()`

Method Detail

### createSWRLPluginGUI

    Container createSWRLPluginGUI(OWLModel owlModel,
                                  String pluginName,
                                  String ruleEngineName,
                                  Icon ruleEngineIcon,
                                  Icon reasonerIcon)

### getSWRLPluginGUI

    Container getSWRLPluginGUI()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.